<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<commonCap>
    <tag key="HAL_CUSTOM_LIVE_PHOTO_BEST_MOMENT_AVAILABLE_RESOLUTIONS" type="uint32_t">
    </tag>
    <tag key="HAL_CUSTOM_LIVE_PHOTO_BEST_MOMENT_SUPPORTED" type="uint8_t">
       <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_MARKEETING_NAME_EXIF_SHOW_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_ZSL_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_LIVE_PHOTO_BEST_MOMENT_NV12_CONVERT" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_LIVE_PHOTO_UNLIMITED_PREVIEWSIZE" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_PREVIEW_NV12_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
   <!--dualvideo begin-->
    <tag key="HAL_CUSTOM_DUAL_VIDEO_SUPPORT" type="uint8_t">
       <value>7</value>
    </tag>
    <tag key="HAL_CUSTOM_DUAL_VIDEO_DEVICE_TYPE" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_RGBSENSOR_FREQUENCY_FILTRATION_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_DUAL_FULL_ZOOM_CAPABILITY_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_DUAL_ZOOM_CAPABILITY" type="uint32_t">
       <value>1</value>
       <value>2</value>
       <value>90</value>
       <value>540</value>
       <value>1</value>
       <value>540</value>
       <value>0</value>
       <value>0</value>
       <value>0</value> <!--rear rear-->
       <value>2</value>
       <value>2</value>
       <value>63</value>
       <value>540</value>
       <value>1</value>
       <value>90</value>
       <value>0</value>
       <value>0</value>
       <value>0</value> <!--front rear-->
       <value>3</value>
       <value>2</value>
       <value>180</value>
       <value>450</value>
       <value>1</value>
       <value>450</value>
       <value>0</value>
       <value>0</value>
       <value>0</value> <!--front front-->
    </tag>
    <tag key="HAL_CUSTOM_DUAL_DEFAULT_ZOOM_CAPABILITY" type="float">
       <!--frontDefaultZoomRatio  for eisv2-->
       <value>0.9</value>
       <!--wideDefaultZoomRatio for eisv2-->
       <value>0.63</value>
    </tag>
    <!--dualvideo end-->
    <!--slow motion begin-->
    <tag key="HAL_CUSTOM_FRONT_SLOW_VIDEO_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_REQUIRE_VIDEO_STATUS" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_AE_TIMEOUT_THRESHOLD" type="uint32_t">
       <value>4000</value>
    </tag>
    <tag key="CAMERA_CONTROL_AVAILABLE_HIGH_SPEED_VIDEO_CONFIGURATIONS" type="int32_t">
       <value>1920</value>
       <value>1080</value>
       <value>30</value>
       <value>120</value>
       <value>4</value>
       <value>1920</value>
       <value>1080</value>
       <value>120</value>
       <value>120</value>
       <value>4</value>
       <value>1920</value>
       <value>864</value>
       <value>30</value>
       <value>120</value>
       <value>4</value>
       <value>1920</value>
       <value>864</value>
       <value>120</value>
       <value>120</value>
       <value>4</value>
       <value>1280</value>
       <value>720</value>
       <value>30</value>
       <value>240</value>
       <value>8</value>
       <value>1280</value>
       <value>720</value>
       <value>240</value>
       <value>240</value>
       <value>8</value>
    </tag>
    <!--slow motion end-->
    <tag key="HAL_CUSTOM_PHOTO_WIDESENSORSIZE_EXCLUDE" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_DM_WATERMARK_SUPPORTED" type="uint8_t">
       <value>3</value>
    </tag>
    <tag key="HAL_CUSTOM_DM_FEATUREWATERMARK_SUPPORTED" type="uint8_t">
       <value>3</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_WATERMARK_SUPPORTED" type="uint8_t">
       <value>3</value>
    </tag>
    <tag key="HAL_CUSTOM_AF_LOCK_BINDERIZED_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_VA_DISABLE_SMALL_APERT_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_VA_MICRO_FILM_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_MODE_SELECTOR_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_HIGH_VIDEO_CALLBACK_THRESHOLD_SUPPORTED" type="uint8_t">
       <value>60</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_SNAPSHOT_USE_PHOTO_STREAM_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SUPER_MACRO_SUPPORTED" type="uint8_t">
       <value>0</value>
    </tag>
    <!--SuperVideoStab start-->
    <tag key="HAL_CUSTOM_START_RECORD_SMOOTH_SUPPORTED" type="uint32_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_STABILIZATION_AVAILABLE_CONFIGURATIONS" type="int32_t">
       <value>3840</value>
       <value>2160</value>
       <value>60</value>
       <value>3840</value>
       <value>2160</value>
       <value>30</value>
       <value>1920</value>
       <value>1080</value>
       <value>60</value>
       <value>1920</value>
       <value>1080</value>
       <value>30</value>
       <value>2560</value>
       <value>1080</value>
       <value>60</value>
       <value>2560</value>
       <value>1080</value>
       <value>30</value>
       <value>2384</value>
       <value>1080</value>
       <value>60</value>
       <value>2384</value>
       <value>1080</value>
       <value>30</value>
       <value>1280</value>
       <value>720</value>
       <value>60</value>
       <value>1280</value>
       <value>720</value>
       <value>30</value>
    </tag>
    <tag key="HAL_CUSTOM_DISPLAY_P3_SUPPORTED_SCENCEMODE" type="int32_t">
       <value type="string2Enum">CAMERA_HW_SM_NORMAL_CAPTURE</value>
       <value type="string2Enum">CAMERA_HW_SM_BURST</value>
       <value type="string2Enum">CAMERA_HW_SM_PROFESSIONAL</value>
       <value type="string2Enum">CAMERA_HW_SM_HDR</value>
       <value type="string2Enum">CAMERA_HW_SM_NIGHT_SHOT</value>
       <value type="string2Enum">CAMERA_HW_SM_PANORAMA</value>
       <value type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_CAR</value>
       <value type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_STAR</value>
       <value type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_WATER</value>
       <value type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_LIGHT</value>
       <value type="string2Enum">CAMERA_HW_SM_WATER_MARK</value>
       <value type="string2Enum">CAMERA_HW_SM_DOCUMENT_SCAN</value>
       <value type="string2Enum">CAMERA_HW_SM_BEAUTY</value>
       <value type="string2Enum">CAMERA_HW_SM_FILTER</value>
       <value type="string2Enum">CAMERA_HW_SM_GOOD_FOOD</value>
       <value type="string2Enum">CAMERA_HW_SM_APERTURE</value>
       <value type="string2Enum">CAMERA_HW_SM_MOVING_PICTURE</value>
       <value type="string2Enum">CAMERA_HW_SM_INTEREST_DRESS_UP</value>
       <value type="string2Enum">CAMERA_HW_SM_PORTRAIT</value>
       <value type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_DEFAULT</value>
       <value type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_NIGHT</value>
       <value type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_BACKLIGHTING</value>
       <value type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_WATER</value>
       <value type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_PORTRAIT</value>
       <value type="string2Enum">CAMERA_HW_SM_SUPER_MACRO</value>
       <value type="string2Enum">CAMERA_HW_SM_4K_AI_ULTRA_CLARITY</value>
       <value type="string2Enum">CAMERA_HW_SM_ULTRA_HIGH_RES</value>
       <value type="string2Enum">CAMERA_HW_SM_PORTRAIT_SLOW_SHUTTER</value>
    </tag>
    <!--SuperVideoStab end-->
    <!--pro mode begin-->
    <tag key="CAMERA_CONTROL_AE_COMPENSATION_STEP" type="CameraMetadataRational">
       <value>1,3</value>
    </tag>
   <!--pro mode end-->
    <tag key="HAL_CUSTOM_VIDEO_DEBUG_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_BIG_APERTURE_NOT_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_IS_TAF_EDGE_NEED_NULL" type="uint8_t">
       <value>1</value>
    </tag>
   <tag key="HAL_CUSTOM_VIDEO_FPS_SUPPORTED" type="int32_t">
      <value>60</value>
   </tag>
   <!--60fps end-->
   <tag key="HAL_CUSTOM_QCFA_FUNCTION_SUPPORTED" type="int8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_VIDEO_SNAPSHOT_SIZE_ADJUST" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_MACRO_VIDEO_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
    <tag key="HAL_CUSTOM_VIDEO_ZOOM_CAP_SUPPORTED" type="uint8_t">
        <!--video zoom cap seprated supported-->
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_IGNORE_AE_TRIGGER_IN_CAPTURE" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_IGNORE_AE_TRIGGER_EXCLUDE_FLASH_CAPTURE" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_MCF_HIGHRES_DEFAULT_IS_AI" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_MEETIME_EFFECT_PARAMETER_SEPARATION" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_IS_MULTI_FACE_SWITCH_FRONT_WIDE" type="uint8_t">
       <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_MULTIPLY_EVSTEP_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SRPPALGO_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_NO_CHANGE_ZOOM_RATIO_BEFORE_THUMBNAIL" type="uint8_t">
       <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_ONLY_PREVIEW_FLOW_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_FD_CROP_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_DUAL_PRIMARY_SUPPORTED" type="uint8_t">
       <value>0</value>
       <value>2</value>
       <value>3</value>
    </tag>
    <tag key="HAL_CUSTOM_TRACKING_MODE_SUPPORTED" type="uint8_t">
       <value>2</value>
    </tag>
    <tag key="HAL_CUSTOM_SMTRACKING_ENHANCE_VERSION" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_STORY_MODE_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_STORY_SENSOR_SIZE" type="int32_t">
       <value>1920</value>
       <value>1080</value>
       <value>3264</value>
       <value>1840</value>
       <value>2384</value>
       <value>1080</value>
       <value>3264</value>
       <value>1472</value>
    </tag>
    <tag key="HAL_CUSTOM_STORY_DEFAULT_FOV" type="int32_t">
       <value>1920</value>
       <value>1080</value>
       <value>0</value>
       <value>0</value>
       <value>2092</value>
       <value>1176</value>
       <value>2384</value>
       <value>1080</value>
       <value>0</value>
       <value>0</value>
       <value>2596</value>
       <value>1176</value>
    </tag>
    <tag key="HAL_CUSTOM_FRONT_NO_FACE_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_IS_NON_CROP_IN_IFE" type="int32_t">
      <value type="string2Enum">CAMERA_HW_SM_NORMAL_VIDEO</value>
      <!-- 0b000010000, every binary digit in the number represents a camera -->
      <!-- defined in CameraType, 2^4->Front, 2^1->Wide, 2^0->Main -->
      <!-- 80-> front Wide + front tele -->
      <value>80</value>
    </tag>
    <tag key="HAL_CUSTOM_FACEUNLOCK_TUNING_PARAM_SUPPORTED" type="uint8_t">
       <value>1</value>
   </tag>
    <tag key="HAL_CUSTOM_SCENE_QUICK_ZOOM_SUPPORTED" type="uint8_t">
       <value>1</value>
   </tag>
    <tag key="HAL_CUSTOM_VIDEO_SUPPORT_NINETEEN_NOT_NINETONINE" type="uint8_t">
       <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_SPECIAL_SCENE_RESET_FPS_RANGE_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
   <tag key="HAL_CUSTOM_CLICK_DOWN_CAPTURE_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_EARLYPCR_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_MACRO_PRO_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_SUPER_MACRO_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_MACRO_VIDEO_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_MACRO_MF_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_MACRO_SKETCH_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_THIRD_PARTY_CODE_SCAN_HOT_START" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_VIDEO_UBWC_FORMAT_SUPPORTED" type="uint8_t">
      <value>0</value>
   </tag>
   <tag key="HAL_CUSTOM_CAPTURE_UBWC_FORMAT_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_IS_TUNING_ZOOM_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_MOTION_REDUCED_EXPOSURE_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_TUNING_ZOOM_VALUE" type="float">
    <value>2.0</value>
    <value>5.0</value>
    <value>10.0</value>
   </tag>
   <tag key="HAL_CUSTOM_THREEPARIES_AISR_SWITCH" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_IS_OVERSEA_THIRD_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_SUPER_FAST_SHOT_SUPPORTED" type="uint8_t">
      <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_SUPER_FASE_SHOT_JPEGROTATION_SUPPORTED" type="uint8_t">
    <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_IS_THUMBNAIL_PREVIEW_SUPPORTED" type="uint8_t">
    <value>1</value>
   </tag>
   <tag key="HAL_CUSTOM_FUZZY_THRESHOLD" type="float">
      <value>0.4</value>
   </tag>
</commonCap>
